> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.kiwiform.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.kiwiform.com/_mcp/server.

# Subscribe to Form Submissions

POST https://app.kiwiform.com/api/zapier/hooks/subscribe
Content-Type: application/json

### **Overview**

Registers a new REST Hook. Once subscribed, KiwiForm will push real-time submission data to your `hookUrl` every time the specified form is completed.

### **Request Body (JSON)**

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `hookUrl` | `string` | **Yes** | The destination URL where POST requests will be sent. |
| `form_id` | `string` | **Yes** | The ID of the form you want to monitor. |

### **Example Webhook Payload**

``` json
{
"id": "res_abc123", 
"event": "form_submission",  
"form_id": "form_xyz456",  
"Email": "user@example.com"
}

 ```

Reference: https://developers.kiwiform.com/kiwiform-api/kiwiform-zapier-api/subscribe-to-form-submissions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Kiwiform API
  version: 1.0.0
paths:
  /api/zapier/hooks/subscribe:
    post:
      operationId: subscribe-to-form-submissions
      summary: Subscribe to Form Submissions
      description: >-
        ### **Overview**


        Registers a new REST Hook. Once subscribed, KiwiForm will push real-time
        submission data to your `hookUrl` every time the specified form is
        completed.


        ### **Request Body (JSON)**


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | `hookUrl` | `string` | **Yes** | The destination URL where POST
        requests will be sent. |

        | `form_id` | `string` | **Yes** | The ID of the form you want to
        monitor. |


        ### **Example Webhook Payload**


        ``` json

        {

        "id": "res_abc123", 

        "event": "form_submission",  

        "form_id": "form_xyz456",  

        "Email": "user@example.com"

        }

         ```
      tags:
        - subpackage_kiwiformZapierApi
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Kiwiform Zapier API_Subscribe to Form
                  Submissions_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                hookUrl:
                  type: string
                form_id:
                  type: string
              required:
                - hookUrl
                - form_id
servers:
  - url: https://app.kiwiform.com
    description: https://app.kiwiform.com
components:
  schemas:
    Kiwiform Zapier API_Subscribe to Form Submissions_Response_200:
      type: object
      properties:
        id:
          type: string
      required:
        - id
      title: Kiwiform Zapier API_Subscribe to Form Submissions_Response_200

```

## Examples



**Request**

```json
{
  "hookUrl": "{{YOUR_TARGET_WEBHOOK_URL}}",
  "form_id": "{{YOUR_FORM_ID}}"
}
```

**Response**

```json
{
  "id": "hook_123456789"
}
```

**SDK Code**

```python Kiwiform Zapier API_Subscribe to Form Submissions_example
import requests

url = "https://app.kiwiform.com/api/zapier/hooks/subscribe"

payload = {
    "hookUrl": "{{YOUR_TARGET_WEBHOOK_URL}}",
    "form_id": "{{YOUR_FORM_ID}}"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Kiwiform Zapier API_Subscribe to Form Submissions_example
const url = 'https://app.kiwiform.com/api/zapier/hooks/subscribe';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"hookUrl":"{{YOUR_TARGET_WEBHOOK_URL}}","form_id":"{{YOUR_FORM_ID}}"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Kiwiform Zapier API_Subscribe to Form Submissions_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.kiwiform.com/api/zapier/hooks/subscribe"

	payload := strings.NewReader("{\n  \"hookUrl\": \"{{YOUR_TARGET_WEBHOOK_URL}}\",\n  \"form_id\": \"{{YOUR_FORM_ID}}\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Kiwiform Zapier API_Subscribe to Form Submissions_example
require 'uri'
require 'net/http'

url = URI("https://app.kiwiform.com/api/zapier/hooks/subscribe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"hookUrl\": \"{{YOUR_TARGET_WEBHOOK_URL}}\",\n  \"form_id\": \"{{YOUR_FORM_ID}}\"\n}"

response = http.request(request)
puts response.read_body
```

```java Kiwiform Zapier API_Subscribe to Form Submissions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.kiwiform.com/api/zapier/hooks/subscribe")
  .header("Content-Type", "application/json")
  .body("{\n  \"hookUrl\": \"{{YOUR_TARGET_WEBHOOK_URL}}\",\n  \"form_id\": \"{{YOUR_FORM_ID}}\"\n}")
  .asString();
```

```php Kiwiform Zapier API_Subscribe to Form Submissions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.kiwiform.com/api/zapier/hooks/subscribe', [
  'body' => '{
  "hookUrl": "{{YOUR_TARGET_WEBHOOK_URL}}",
  "form_id": "{{YOUR_FORM_ID}}"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Kiwiform Zapier API_Subscribe to Form Submissions_example
using RestSharp;

var client = new RestClient("https://app.kiwiform.com/api/zapier/hooks/subscribe");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"hookUrl\": \"{{YOUR_TARGET_WEBHOOK_URL}}\",\n  \"form_id\": \"{{YOUR_FORM_ID}}\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Kiwiform Zapier API_Subscribe to Form Submissions_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "hookUrl": "{{YOUR_TARGET_WEBHOOK_URL}}",
  "form_id": "{{YOUR_FORM_ID}}"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.kiwiform.com/api/zapier/hooks/subscribe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```